# Draw
TKDraw
Draw

# Draw_SaveAndRestore Class Reference

`#include <Draw_Appli.hxx>`

## Public Member Functions

Standard_EXPORT | Draw_SaveAndRestore (const char *name, Standard_Boolean(*test)(const Handle(Draw_Drawable3D)&), void(*save)(const Handle(Draw_Drawable3D)&, ostream &), Handle(Draw_Drawable3D)(*restore)(istream &), Standard_Boolean display=Standard_True)
const char * | Name () const
Standard_Boolean | Test (const Handle(Draw_Drawable3D)&d)
void | Save (const Handle(Draw_Drawable3D)&d, ostream &os) const
| Handle (Draw_Drawable3D) Restore(istream &) const
Standard_Boolean | Disp () const
Draw_SaveAndRestore * | Next ()

## Private Attributes

const char * | myName
Standard_Boolean(* | myTest )(const Handle(Draw_Drawable3D)&)
void(* | mySave )(const Handle(Draw_Drawable3D)&, ostream &)
Handle() Draw_Drawable3D(* | myRestore )(istream &)
Standard_Boolean | myDisplay
Draw_SaveAndRestore * | myNext

## Constructor & Destructor Documentation

Standard_EXPORT Draw_SaveAndRestore::Draw_SaveAndRestore | ( | const char * | name,
|  | Standard_Boolean(*)(const Handle(Draw_Drawable3D)&) | test,
|  | void(*)(const Handle(Draw_Drawable3D)&, ostream &) | save,
|  | Handle(Draw_Drawable3D)(*)(istream &) | restore,
|  | Standard_Boolean | display = `Standard_True`
| ) |

## Member Function Documentation

Standard_Boolean Draw_SaveAndRestore::Disp | ( |  | ) | const`[inline]`

Draw_SaveAndRestore::Handle | ( | Draw_Drawable3D |  | ) | const

const char* Draw_SaveAndRestore::Name | ( |  | ) | const`[inline]`

Draw_SaveAndRestore* Draw_SaveAndRestore::Next | ( |  | ) | `[inline]`

void Draw_SaveAndRestore::Save | ( | const Handle(Draw_Drawable3D)& | d,
|  | ostream & | os
| ) | const

Standard_Boolean Draw_SaveAndRestore::Test | ( | const Handle(Draw_Drawable3D)& | d | ) |

## Field Documentation

Standard_Boolean Draw_SaveAndRestore::myDisplay `[private]`

const char* Draw_SaveAndRestore::myName `[private]`

Draw_SaveAndRestore* Draw_SaveAndRestore::myNext `[private]`

Handle() Draw_Drawable3D(* Draw_SaveAndRestore::myRestore)(istream &)`[private]`

void(* Draw_SaveAndRestore::mySave)(const Handle(Draw_Drawable3D)&, ostream &)`[private]`

Standard_Boolean(* Draw_SaveAndRestore::myTest)(const Handle(Draw_Drawable3D)&)`[private]`

The documentation for this class was generated from the following file:

- Draw_Appli.hxx